List all invoice items
curl --request GET \
--url https://api.lynkwell.com/billing/v1/invoice-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/billing/v1/invoice-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/billing/v1/invoice-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"session": "<string>",
"paymentProfile": "<string>",
"network": "<string>",
"total": 123,
"currency": "<string>",
"remarks": "<string>",
"creditInvoiceReference": "<string>",
"priceAdjustmentId": "<string>",
"adjustmentTotal": 123,
"invoiceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "FORBIDDEN",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Invoice Item
List all invoice items
This endpoint retrieves a list of invoice items
GET
/
billing
/
v1
/
invoice-items
List all invoice items
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of invoice items to return (default 20, maximum 100)
Pattern:
^[0-9][0-9]?$|^100$The ID of the last invoice item in the previous page of results. Results will start after this invoice item
The ID of the session to filter invoice items by
Response
A list of invoice item
Show child attributes
Show child attributes